<?xml version="1.0" encoding="gb2312" ?>
<xs:schema targetNamespace="http://www.h3c.com/netconf/data:1.0"
                  elementFormDefault="qualified"
                  xmlns="http://www.h3c.com/netconf/data:1.0"
                  xmlns:base ="http://www.h3c.com/netconf/base:1.0"
                  xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import namespace="http://www.h3c.com/netconf/base:1.0" schemaLocation="basetype.xsd"></xs:import>

  <xs:complexType name="SnmpHexBinary">
    <xs:simpleContent >
      <xs:extension base="xs:hexBinary">
        <xs:attributeGroup ref="base:ColumnAttributeGroup"></xs:attributeGroup>
      </xs:extension>
    </xs:simpleContent>
  </xs:complexType>

  <!--String must not contain ?, Tab, space, and  \r\n characters.-->
  <xs:complexType name="SnmpAdminString">
    <xs:simpleContent >
      <xs:restriction base="base:String">
        <xs:pattern value="^[!->@-~]([!->@-~]{0,1}||[ !->@-~]*[!->@-~])$"></xs:pattern>
      </xs:restriction>
    </xs:simpleContent>
  </xs:complexType>

  <xs:element name="SNMP">
    <xs:complexType>
      <xs:choice maxOccurs="unbounded">
        <xs:element name="System" minOccurs="0">
          <xs:annotation>
            <xs:documentation>This table contains SNMP system information.</xs:documentation>
          </xs:annotation>
          <xs:complexType >
            <xs:all>
              <xs:element name="AgentStatus" minOccurs="0" type="base:EnableState" nillable="true" >
                <xs:annotation>
                  <xs:documentation>SNMP status as follows: enable, disable.</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name="Version" minOccurs ="0" >
                <xs:annotation>
                  <xs:documentation>SNMP  version information.</xs:documentation>
                </xs:annotation>
                <xs:complexType >
                  <xs:all>
                    <xs:element name="V1" minOccurs="0" type="base:EnableState" nillable="true" >
                      <xs:annotation>
                        <xs:documentation>SNMP V1 status as follows: enable, disable.</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="V2C" minOccurs="0" type="base:EnableState" nillable="true" >
                      <xs:annotation>
                        <xs:documentation>SNMP V2C status as follows: enable, disable.</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="V3" minOccurs="0" type="base:EnableState" nillable="true" >
                      <xs:annotation>
                        <xs:documentation>SNMP V3 status as follows: enable, disable.</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                  </xs:all>
                </xs:complexType >
              </xs:element>
              <xs:element name="Location" nillable="true" minOccurs="0">
                <xs:annotation >
                  <xs:documentation>SNMP physical location information. String length constraints must be in range(0..255).</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:Text">
                      <xs:maxLength value="255"></xs:maxLength>
                      <xs:minLength value="0"></xs:minLength>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
              <xs:element name="Contact" nillable="true" minOccurs="0">
                <xs:annotation >
                  <xs:documentation>SNMP contact information. String length constraints must be in range(0..255).</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:Text">
                      <xs:maxLength value="255"></xs:maxLength>
                      <xs:minLength value="0"></xs:minLength>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
            </xs:all>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name ="Agent" minOccurs="0">
          <xs:annotation>
            <xs:documentation>Agent system information</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:all>
              <xs:element name="LocalEngineId" minOccurs="0" nillable="true" >
                <xs:annotation>
                  <xs:documentation>Local engine ID of agent</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="SnmpHexBinary">
                      <xs:maxLength value="64"></xs:maxLength>
                      <xs:minLength value="10"></xs:minLength>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
              <xs:element name="AgentUdpPort" minOccurs="0" nillable="true">
                <xs:annotation>
                  <xs:documentation>UDP port for receiving SNMP packets</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:UnsignedInteger32">
                      <xs:minInclusive value="1"></xs:minInclusive>
                      <xs:maxInclusive value="65535"></xs:maxInclusive>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
              <xs:element name="PacketMaxSize" minOccurs="0" nillable="true">
                <xs:annotation>
                  <xs:documentation>Maximum size of packets that the agent can receive or send Unit:byte</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:UnsignedInteger32">
                      <xs:minInclusive value="484"></xs:minInclusive>
                      <xs:maxInclusive value="17940"></xs:maxInclusive>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
              <xs:element name="GetLog" minOccurs="0" type="base:Boolean" nillable="true">
                <xs:annotation>
                  <xs:documentation>Logging status of get</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name="SetLog" minOccurs="0" type="base:Boolean" nillable="true">
                <xs:annotation>
                  <xs:documentation>Logging status of set</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name="NotificationLog" minOccurs="0" type="base:Boolean" nillable="true">
                <xs:annotation>
                  <xs:documentation>Logging status of notification</xs:documentation>
                </xs:annotation>
              </xs:element>
            </xs:all>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name ="Notification" minOccurs="0">
          <xs:annotation>
            <xs:documentation>notification information</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:all>
              <xs:element name="ColdStart" minOccurs="0" type="base:Boolean" nillable="true" >
                <xs:annotation>
                  <xs:documentation>Status of SNMP coldStart notification</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name="WarmStart" minOccurs="0" type="base:Boolean" nillable="true">
                <xs:annotation>
                  <xs:documentation>Status of SNMP warmStart notification</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name="AuthenticationFailure" minOccurs="0" type="base:Boolean" nillable="true">
                <xs:annotation>
                  <xs:documentation>Status of SNMP authenticationFailure notification</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name="QueueSize" minOccurs="0" nillable="true">
                <xs:annotation>
                  <xs:documentation>Notification queue size</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:UnsignedInteger32">
                      <xs:minInclusive value="1"></xs:minInclusive>
                      <xs:maxInclusive value="1000"></xs:maxInclusive>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
              <xs:element name="QueueLifeTime" minOccurs="0" nillable="true">
                <xs:annotation>
                  <xs:documentation>Lifetime of notifications in the SNMP notification queue.Unit:second</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:UnsignedInteger32">
                      <xs:minInclusive value="1"></xs:minInclusive>
                      <xs:maxInclusive value="2592000"></xs:maxInclusive>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
              <xs:element name="TrapSource" minOccurs="0" nillable="true">
                <xs:annotation>
                  <xs:documentation>An interface name,of which primary IP address as the source IP address for the traps</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:String">
                      <xs:maxLength value="47"></xs:maxLength>
                      <xs:minLength value="2"></xs:minLength>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
              <xs:element name="InformSource" minOccurs="0" nillable="true">
                <xs:annotation>
                  <xs:documentation>An interface name,of which primary IP address as the source IP address for the informs</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:simpleContent>
                    <xs:restriction base="base:String">
                      <xs:maxLength value="47"></xs:maxLength>
                      <xs:minLength value="2"></xs:minLength>
                    </xs:restriction>
                  </xs:simpleContent>
                </xs:complexType>
              </xs:element>
              <xs:element name="EnableModules" minOccurs="0">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="Module" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation> Module name </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value="1"/>
                            <xs:maxLength value="127"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                </xs:complexType>
              </xs:element>
              <xs:element name="DisableModules" minOccurs="0">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="Module" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation> Module name </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value="1"/>
                            <xs:maxLength value="127"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                </xs:complexType>
              </xs:element>
            </xs:all>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="Communities" minOccurs="0">
          <xs:annotation>
                        <xs:documentation>This table contains SNMP community information.</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Community" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>row name</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="Name" nillable="true" minOccurs="0">
                      <xs:annotation>
                                                <xs:documentation>Community name. String length constraints must be in range(1..32).</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="SnmpAdminString">
                            <xs:maxLength value="32"/>
                            <xs:minLength value="1"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Type" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>
                          Community type as follows:
                          0 read-only
                          1 read-write
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="0"/>
                            <xs:enumeration value="1"/>
                            <xs:enumeration value="2"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="MIBView" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>MIB-VIEW</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="SnmpAdminString">
                            <xs:maxLength value="32"/>
                            <xs:minLength value="1"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Role" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>Role Name</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:maxLength value="63"/>
                            <xs:minLength value="1"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="IPv4BasicACL" minOccurs="0">
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="Number" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>IPV4 basic ACL value</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="2000"/>
                                  <xs:maxInclusive value="2999"/>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                   <xs:element name="IPv4AdvancedACL" minOccurs="0">
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="Number" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>IPV4 Advanced ACL value</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="3000"/>
                                  <xs:maxInclusive value="3999"/>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="IPv6BasicACL" minOccurs="0">
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="Number" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>IPV6 Baisc ACL value</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="2000"/>
                                  <xs:maxInclusive value="2999"/>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="IPv6AdvancedACL" minOccurs="0">
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="Number" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>IPv6 Advanced ACL value</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="3000"/>
                                  <xs:maxInclusive value="3999"/>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Context" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>MappingConetext</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:maxLength value="32"/>
                            <xs:minLength value="1"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"/>
          </xs:complexType>
        </xs:element>
        <xs:element name="Contexts" minOccurs="0">
          <xs:annotation>
            <xs:documentation>context information</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Context"  maxOccurs="unbounded" minOccurs="0">
                <xs:annotation >
                  <xs:documentation>row name</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="Name" nillable="true" minOccurs="0">
                      <xs:annotation >
                        <xs:documentation>context name(string£¬length:1-32)</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="SnmpAdminString">
                            <xs:maxLength value="32"></xs:maxLength>
                            <xs:minLength value="1"></xs:minLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="CommunityMappings" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Mapping"  maxOccurs="unbounded" minOccurs="0">
                <xs:annotation >
                  <xs:documentation>row name</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="Community" nillable="true" minOccurs="0">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="SnmpAdminString">
                            <xs:maxLength value="32"></xs:maxLength>
                            <xs:minLength value="1"></xs:minLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Context" minOccurs="0" nillable="true">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="SnmpAdminString">
                            <xs:maxLength value="32"></xs:maxLength>
                            <xs:minLength value="1"></xs:minLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name="MIBViews" minOccurs="0">
          <xs:annotation>
            <xs:documentation>MIBViews table</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="View" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>rowname</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="Name" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>The name of view.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="SnmpAdminString">
                            <xs:minLength value="1"/>
                            <xs:maxLength value="32"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="SubTree" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>The name of subtree.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value="1"/>
                            <xs:maxLength value="255"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Type" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>
                          The type of subtree.
                          1 Included
                          2 Excluded
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1"/>
                            <xs:enumeration value="2"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Mask" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>The mask of subtree.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="SnmpHexBinary">
                            <xs:minLength value="1"/>
                            <xs:maxLength value="32"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Status" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>
                          Status of subtree.
                          1¡ªundefined
                          2¡ªactive
                          3¡ªnotInservice
                          4¡ªnotReady
                          5¡ªcreateAndGo
                          6¡ªcreateAndWait
                          7¡ªdestroy
                          8¡ªother

                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1"/>
                            <xs:enumeration value="2"/>
                            <xs:enumeration value="3"/>
                            <xs:enumeration value="4"/>
                            <xs:enumeration value="5"/>
                            <xs:enumeration value="6"/>
                            <xs:enumeration value="7"/>
                            <xs:enumeration value="8"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"/>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"/>
          </xs:complexType>
        </xs:element>
        <xs:element name="Groups" minOccurs="0">
          <xs:annotation>
            <xs:documentation>SNMP group information</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Group" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>Rowname</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:sequence>
                    <xs:element name="Name" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Group name.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="SnmpAdminString">
                            <xs:minLength value="1"></xs:minLength>
                            <xs:maxLength value="32"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="SecurityMode" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>The security model by this group is provided.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1"/>
                            <xs:enumeration value="2"/>
                            <xs:enumeration value="3"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="SecurityLevel" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>Security Level.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1"/>
                            <xs:enumeration value="2"/>
                            <xs:enumeration value="3"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="ReadView" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>MIB view for read-only access.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="SnmpAdminString">
                            <xs:minLength value="1"></xs:minLength>
                            <xs:maxLength value="32"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="WriteView" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>MIB view for  read and write  access.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="SnmpAdminString">
                            <xs:minLength value="1"></xs:minLength>
                            <xs:maxLength value="32"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="NotifyView" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>MIB view for  notify access.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="SnmpAdminString">
                            <xs:minLength value="1"></xs:minLength>
                            <xs:maxLength value="32"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="IPv4BasicACL" minOccurs="0">
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="Number" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>IPv4 Basic ACL value</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="2000"/>
                                  <xs:maxInclusive value="2999"/>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="IPv4AdvancedACL" minOccurs="0">
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="Number" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>IPv4 Advanced ACL value</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="3000"/>
                                  <xs:maxInclusive value="3999"/>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="IPv6BasicACL" minOccurs="0">
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="Number" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>IPv6 Basic ACL value</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="2000"/>
                                  <xs:maxInclusive value="2999"/>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="IPv6AdvancedACL" minOccurs="0">
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="Number" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>IPv6 Advanced ACL value</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="3000"/>
                                  <xs:maxInclusive value="3999"/>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                  </xs:sequence>
                  <xs:attributeGroup ref="base:RowAttributeGroup"/>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"/>
          </xs:complexType>
        </xs:element>
        <xs:element name="Users" minOccurs="0">
          <xs:annotation>
            <xs:documentation>SNMP UsmUsers infomations</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="User" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>Rowname</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:sequence>
                    <xs:element name="SecurityMode" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>SecurityMode</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1"></xs:enumeration>
                            <xs:enumeration value="2"></xs:enumeration>
                            <xs:enumeration value="3"></xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Name" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>
                          UsmUser Name
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="SnmpAdminString">
                            <xs:minLength value ="1"></xs:minLength>
                            <xs:maxLength value="32"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="EngineId" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>
                          The EngineId
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="SnmpHexBinary">
                            <xs:minLength value ="10"></xs:minLength>
                            <xs:maxLength value="64"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Address"  type="base:IpAddress"  nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>
                          Address of the remote manage.
                          IPv4 example: 1.1.1.1
                          IPv6 example: 1:2:3:4:5:6:7:8
                          HostName example: www. example.com
                        </xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="VRF" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>
                          VRF instance name.
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:minLength value ="1"></xs:minLength>
                            <xs:maxLength value="31"></xs:maxLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="GroupControl" minOccurs="0" maxOccurs="unbounded">
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="Group" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>UsmUser's Group Name</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="SnmpAdminString">
                                  <xs:minLength value ="1"></xs:minLength>
                                  <xs:maxLength value="32"></xs:maxLength>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="Role" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>UsmUser's Role Name</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:String">
                                  <xs:minLength value ="1"></xs:minLength>
                                  <xs:maxLength value="63"></xs:maxLength>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="SecurityParam" minOccurs="0" maxOccurs="unbounded">
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="AuthProtocol" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>
                                Authentication algorithm.
                                1 MD5
                                2 SHA
                              </xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:enumeration value="1"></xs:enumeration>
                                  <xs:enumeration value="2"></xs:enumeration>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="AuthKey" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>
                                Authentication key.Plaintext key string.
                                Must be specified with ¡®AuthProtocol¡¯.
                              </xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:String">
                                  <xs:minLength value ="1"></xs:minLength>
                                  <xs:maxLength value="64"></xs:maxLength>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="PrivProtocol" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>
                                Encryption algorithm for privacy.
                                1 DES
                                2 AES
                                3 3DES
                                4 AES192
                                5 AES256
                              </xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:enumeration value="1"></xs:enumeration>
                                  <xs:enumeration value="2"></xs:enumeration>
                                  <xs:enumeration value="3"></xs:enumeration>
                                  <xs:enumeration value="4"></xs:enumeration>
                                  <xs:enumeration value="5"></xs:enumeration>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="PrivKey" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>
                                Privacy key.Plaintext key string.
                                Must be specified with PrivProtocol.
                              </xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:String">
                                  <xs:minLength value ="1"></xs:minLength>
                                  <xs:maxLength value="64"></xs:maxLength>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="IPv4BasicACL" minOccurs="0">
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="Number" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>IPV4 basic ACL value</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="2000"/>
                                  <xs:maxInclusive value="2999"/>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="IPv4AdvancedACL" minOccurs="0">
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="Number" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>IPV4 advanced ACL value</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="3000"/>
                                  <xs:maxInclusive value="3999"/>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="IPv6BasicACL" minOccurs="0">
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="Number" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>IPV6 baisc ACL value</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="2000"/>
                                  <xs:maxInclusive value="2999"/>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="IPv6AdvancedACL" minOccurs="0">
                      <xs:complexType>
                        <xs:all>
                          <xs:element name="Number" nillable="true" minOccurs="0">
                            <xs:annotation>
                              <xs:documentation>IPV6 Advanced ACL value</xs:documentation>
                            </xs:annotation>
                            <xs:complexType>
                              <xs:simpleContent>
                                <xs:restriction base="base:UnsignedInteger32">
                                  <xs:minInclusive value="3000"/>
                                  <xs:maxInclusive value="3999"/>
                                </xs:restriction>
                              </xs:simpleContent>
                            </xs:complexType>
                          </xs:element>
                        </xs:all>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Status" nillable="true" minOccurs="0">
                      <xs:annotation>
                        <xs:documentation>
                          Status of the user.
                          Enumeration:
                          1 active
                          2 inactive
                        </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1"></xs:enumeration>
                            <xs:enumeration value="2"></xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                  </xs:sequence>
                  <xs:attributeGroup ref="base:RowAttributeGroup"/>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"/>
          </xs:complexType>
        </xs:element>
        <xs:element name="RemoteManages" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Manage" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>rowname</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="Address" type="base:IpAddress" minOccurs="0"  nillable="true">
                      <xs:annotation>
                        <xs:documentation>Address of the remote manage</xs:documentation>
                      </xs:annotation>
                    </xs:element>
                    <xs:element name="VRF" minOccurs="0" nillable="true" >
                      <xs:annotation>
                        <xs:documentation>VRF instance name.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:maxLength value="31"></xs:maxLength>
                            <xs:minLength value="0"></xs:minLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="EngineId"  minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>SNMP engine ID of the remote manage.</xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="SnmpHexBinary">
                            <xs:maxLength value="64"></xs:maxLength>
                            <xs:minLength value="10"></xs:minLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"/>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"/>
          </xs:complexType>
        </xs:element>
        <xs:element name="TargetHosts" minOccurs="0">
          <xs:annotation>
            <xs:documentation>SNMPTargethostInfo</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="UdpHost" minOccurs="0" maxOccurs="unbounded">
                <xs:annotation>
                  <xs:documentation>rowname</xs:documentation>
                </xs:annotation>
                <xs:complexType>
                  <xs:all>
                    <xs:element name="TargetType" minOccurs="0" nillable="true" >
                      <xs:annotation>
                        <xs:documentation>  1  </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1"></xs:enumeration>
                            <xs:enumeration value="2"></xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="SecurityName" minOccurs="0" nillable="true" >
                      <xs:annotation>
                        <xs:documentation>  2  </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="SnmpAdminString">
                            <xs:maxLength value="32"></xs:maxLength>
                            <xs:minLength value="1"></xs:minLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Address"  minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>  3  </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:maxLength value="253"></xs:maxLength>
                            <xs:minLength value="1"></xs:minLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="VRF" minOccurs="0" nillable="true">
                      <xs:annotation>
                        <xs:documentation>  4  </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:String">
                            <xs:maxLength value="31"></xs:maxLength>
                            <xs:minLength value="0"></xs:minLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="SecurityMode" minOccurs="0" nillable="true" >
                      <xs:annotation>
                        <xs:documentation>  5  </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1"></xs:enumeration>
                            <xs:enumeration value="2"></xs:enumeration>
                            <xs:enumeration value="3"></xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="SecurityLevel" minOccurs="0" nillable="true" >
                      <xs:annotation>
                        <xs:documentation>  6  </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1"></xs:enumeration>
                            <xs:enumeration value="2"></xs:enumeration>
                            <xs:enumeration value="3"></xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Port" minOccurs="0" nillable="true" >
                      <xs:annotation>
                        <xs:documentation>  7  </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="0" />
                            <xs:maxInclusive value="65535" />
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="AddressType" minOccurs="0" nillable="true" >
                      <xs:annotation>
                        <xs:documentation>  8  </xs:documentation>
                      </xs:annotation>
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:enumeration value="1"></xs:enumeration>
                            <xs:enumeration value="2"></xs:enumeration>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"/>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"/>
          </xs:complexType>
        </xs:element>
        <xs:element name="Capabilities" minOccurs="0">
          <xs:annotation>
            <xs:documentation>This table contains capabilities information.</xs:documentation>
          </xs:annotation>
          <xs:complexType>
            <xs:all>
              <xs:element name="MaxCommunities" minOccurs="0" type="base:UnsignedInteger32" nillable="true" >
                <xs:annotation>
                  <xs:documentation>Maximum number of communities</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name="MaxContexts" minOccurs ="0" type="base:UnsignedInteger32" nillable="true">
                <xs:annotation>
                  <xs:documentation>Maximum number of contexts.</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name="MaxCommunityMappings" minOccurs="0" type="base:UnsignedInteger32" nillable="true">
                <xs:annotation >
                  <xs:documentation>Maximum number of community to context mappings.</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name="MaxMIBViews" minOccurs="0" type="base:UnsignedInteger32" nillable="true" >
                <xs:annotation>
                  <xs:documentation>Maximum number of MIB views.</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name="MaxGroups" minOccurs ="0" type="base:UnsignedInteger32" nillable="true">
                <xs:annotation>
                  <xs:documentation>Maximum number of groups.</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name="MaxUsers" minOccurs="0" type="base:UnsignedInteger32" nillable="true">
                <xs:annotation >
                  <xs:documentation>Maximum number of USM users.</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name="MaxRemoteManages" minOccurs="0" type="base:UnsignedInteger32" nillable="true" >
                <xs:annotation>
                  <xs:documentation>Maximum number of remote manages.</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name="MaxTargetHosts" minOccurs ="0" type="base:UnsignedInteger32" nillable="true">
                <xs:annotation>
                  <xs:documentation>Maximum number of target-hosts.</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name="MaxV3Roles" minOccurs="0" type="base:UnsignedInteger32" nillable="true">
                <xs:annotation >
                  <xs:documentation>Maximum number of roles for one SNMPv3 user.</xs:documentation>
                </xs:annotation>
              </xs:element>
            </xs:all>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        <xs:element name ="Statistics">
          <xs:complexType>
            <xs:all>
              <xs:element name ="InPkts"  type="base:UnsignedInteger32" minOccurs="0" nillable="true">
                <xs:annotation >
                  <xs:documentation>The total number of Messages delivered to the SNMP entity from the transport service.</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name ="OutPkts"  type="base:UnsignedInteger32" minOccurs="0" nillable="true">
                <xs:annotation>
                  <xs:documentation>The total number of SNMP Messages which were passed from the SNMP protocol entity to the transport service.</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name ="InBadVersions"  type="base:UnsignedInteger32" minOccurs="0" nillable="true">
                <xs:annotation>
                  <xs:documentation>The total number of SNMP Messages which were delivered to the SNMP protocol entity and were for an unsupported SNMP version.</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name ="InBadCommunityNames"  type="base:UnsignedInteger32" minOccurs="0" nillable="true">
                <xs:annotation>
                  <xs:documentation>The total number of SNMP Messages delivered to the SNMP protocol entity which used a SNMP community name not known to said entity.</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name ="InBadCommunityUses"  type="base:UnsignedInteger32" minOccurs="0" nillable="true">
                <xs:annotation>
                  <xs:documentation>The total number of SNMP Messages delivered to the SNMP protocol entity which represented an SNMP operation which was not allowed by the SNMP community named in the Message.</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name ="InASNParseErrs"  type="base:UnsignedInteger32" minOccurs="0" nillable="true">
                <xs:annotation>
                  <xs:documentation>The total number of ASN.1 or BER errors encountered by the SNMP protocol entity when decoding received SNMP Messages.</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name ="InTooBigs"  type="base:UnsignedInteger32" minOccurs="0" nillable="true">
                <xs:annotation>
                  <xs:documentation>The total number of SNMP PDUs which were delivered to the SNMP protocol entity and for which the value of the error-status field is `tooBig'.</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name ="InNoSuchNames"  type="base:UnsignedInteger32" minOccurs="0" nillable="true">
                <xs:annotation>
                  <xs:documentation>The total number of SNMP PDUs which were delivered to the SNMP protocol entity and for which the value of the error-status field is `noSuchName'.</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name ="InBadValues"  type="base:UnsignedInteger32" minOccurs="0" nillable="true">
                <xs:annotation>
                  <xs:documentation>The total number of SNMP PDUs which were delivered to the SNMP protocol entity and for which the value of the error-status field is `badValue'.</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name ="InReadOnlys"  type="base:UnsignedInteger32" minOccurs="0" nillable="true">
                <xs:annotation>
                  <xs:documentation>The total number valid SNMP PDUs which were delivered to the SNMP protocol entity and for which the value of the error-status field is `readOnly'.</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name ="InGenErrs"  type="base:UnsignedInteger32" minOccurs="0" nillable="true">
                <xs:annotation>
                  <xs:documentation>The total number of SNMP PDUs which were delivered to the SNMP protocol entity and for which the value of the error-status field is `genErr'</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name ="InTotalReqVars"  type="base:UnsignedInteger32" minOccurs="0" nillable="true">
                <xs:annotation>
                  <xs:documentation>The total number of MIB objects which have been retrieved successfully by the SNMP protocol entity as the result of receiving valid SNMP Get-Request and Get-Next PDUs.</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name ="InTotalSetVars"  type="base:UnsignedInteger32" minOccurs="0" nillable="true">
                <xs:annotation>
                  <xs:documentation>The total number of MIB objects which have been altered successfully by the SNMP protocol entity as the result of receiving valid SNMP Set-Request PDUs.</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name ="InGetRequests"  type="base:UnsignedInteger32" minOccurs="0" nillable="true">
                <xs:annotation>
                  <xs:documentation>The total number of SNMP Get-Request PDUs which have been accepted and processed by the SNMP protocol entity.</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name ="InGetNexts"  type="base:UnsignedInteger32" minOccurs="0" nillable="true">
                <xs:annotation>
                  <xs:documentation>The total number of SNMP Get-Next PDUs which have been accepted and processed by the SNMP protocol entity.</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name ="InSetRequests"  type="base:UnsignedInteger32" minOccurs="0" nillable="true">
                <xs:annotation>
                  <xs:documentation>The total number of SNMP Set-Request PDUs which have been accepted and processed by the SNMP protocol entity.</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name ="InGetResponses"  type="base:UnsignedInteger32" minOccurs="0" nillable="true">
                <xs:annotation>
                  <xs:documentation>The total number of SNMP Get-Response PDUs which have been accepted and processed by the SNMP protocol entity.</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name ="InTraps"  type="base:UnsignedInteger32" minOccurs="0" nillable="true">
                <xs:annotation>
                  <xs:documentation>The total number of SNMP Trap PDUs which have been accepted and processed by the SNMP protocol entity.</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name ="OutTooBigs"  type="base:UnsignedInteger32" minOccurs="0" nillable="true">
                <xs:annotation>
                  <xs:documentation>The total number of SNMP PDUs which were generated by the SNMP protocol entity and for which the value of the error-status field is `tooBig.'</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name ="OutNoSuchNames"  type="base:UnsignedInteger32" minOccurs="0" nillable="true">
                <xs:annotation>
                  <xs:documentation>The total number of SNMP PDUs which were generated by the SNMP protocol entity and for which the value of the error-status is `noSuchName'.</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name ="OutBadValues"  type="base:UnsignedInteger32" minOccurs="0" nillable="true">
                <xs:annotation>
                  <xs:documentation>The total number of SNMP PDUs which were generated by the SNMP protocol entity and for which the value of the error-status field is `badValue'.</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name ="OutGenErrs"  type="base:UnsignedInteger32" minOccurs="0" nillable="true">
                <xs:annotation>
                  <xs:documentation>The total number of SNMP PDUs which were generated by the SNMP protocol entity and for which the value of the error-status field is `genErr'.</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name ="OutGetRequests"  type="base:UnsignedInteger32" minOccurs="0" nillable="true">
                <xs:annotation>
                  <xs:documentation>The total number of SNMP Get-Request PDUs which have been generated by the SNMP protocol entity.</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name ="OutGetNexts"  type="base:UnsignedInteger32" minOccurs="0" nillable="true">
                <xs:annotation>
                  <xs:documentation>The total number of SNMP Get-Next PDUs which have been generated by the SNMP protocol entity.</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name ="OutSetRequests"  type="base:UnsignedInteger32" minOccurs="0" nillable="true">
                <xs:annotation>
                  <xs:documentation>The total number of SNMP Set-Request PDUs which have been generated by the SNMP protocol entity.</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name ="OutGetResponses"  type="base:UnsignedInteger32" minOccurs="0" nillable="true">
                <xs:annotation>
                  <xs:documentation>The total number of SNMP Get-Response PDUs which have been generated by the SNMP protocol entity.</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name ="OutTraps"  type="base:UnsignedInteger32" minOccurs="0" nillable="true">
                <xs:annotation>
                  <xs:documentation>The total number of SNMP Trap PDUs which have been generated by the SNMP protocol entity.</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name ="SilentDrops"  type="base:UnsignedInteger32" minOccurs="0" nillable="true">
                <xs:annotation>
                  <xs:documentation>
                    The total number of Confirmed Class PDUs (such as GetRequest-PDUs, GetNextRequest-PDUs, GetBulkRequest-PDUs, SetRequest-PDUs, and InformRequest-PDUs)
                    delivered to the SNMP entity which were silently dropped because the size of a reply containing an alternate Response Class PDU (such as a Response-PDU)
                    with an empty variable-bindings field was greater than either a local constraint or the maximum message size associated with the originator of the request.
                  </xs:documentation>
                </xs:annotation>
              </xs:element>
            </xs:all>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
      </xs:choice>
      <xs:attributeGroup ref="base:NodeAttributeGroup"></xs:attributeGroup>
    </xs:complexType>
  </xs:element>
</xs:schema>
